Bug 643999 - Drive disappears when blank cdr is inserted
Drive disappears when blank cdr is inserted
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-18 14:21 EDT by Gregor Hlawacek
Modified: 2011-06-28 07:28 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 07:28:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 581925 None None None Never

  None (edit)
Description Gregor Hlawacek 2010-10-18 14:21:01 EDT
Description of problem:
The cdr drive disappears from gnome when a blank cdr is inserted. Reading CD/DVD works.

Version-Release number of selected component (if applicable):


How reproducible:

always

Steps to Reproduce:
1. insert blank cdr
2. drive disappears -> burning not possible
3. eject disc using hardware button -> drive reappears
  
Actual results:
No cdr drive in gnome and brasero. Also the eject dialog in brasero will not work.

Expected results:
usual dialog asking what todo and or possibilty to select the burner in brasero or equivalent

Additional info:

Some wodim info with the disc inserted.

wodim -atip
Device was not specified. Trying to find an appropriate drive...
Detected CD-R drive: /dev/cdrw
Using /dev/cdrom of unknown capabilities
Device type    : Removable CD-ROM
Version        : 5
Response Format: 2
Capabilities   : 
Vendor_info    : 'MATSHITA'
Identification : 'DVD+-RW UJ-857G '
Revision       : 'Z111'
Device seems to be: Generic mmc2 DVD-R/DVD-RW.
Using generic SCSI-3/mmc   CD-R/CD-RW driver (mmc_cdr).
Driver flags   : MMC-3 SWABAUDIO BURNFREE 
Supported modes: TAO PACKET SAO
ATIP info from disk:
  Indicated writing power: 5
  Is not unrestricted
  Is not erasable
  Disk sub type: Medium Type B, low Beta category (B-) (4)
  ATIP start of lead in:  -11607 (97:27/18)
  ATIP start of lead out: 359849 (79:59/74)
Disk type:    Short strategy type (Phthalocyanine or similar)
Manuf. index: 18
Manufacturer: Plasmon Data systems Ltd.


wodim -scanbus
scsibus3:
	3,0,0	300) 'MATSHITA' 'DVD+-RW UJ-857G ' 'Z111' Removable CD-ROM
	3,1,0	301) *
	3,2,0	302) *
	3,3,0	303) *
	3,4,0	304) *
	3,5,0	305) *
	3,6,0	306) *
	3,7,0	307) *
Comment 1 Fedora Admin XMLRPC Client 2011-01-10 08:23:43 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Honza Horak 2011-01-20 05:51:32 EST
I'm not sure if this issue can be caused by cdrdao or brasero.

You can check whether SCSI or CD drive notice any important errors:
dmesg | grep -i -e scsi -e cd-rom -e cdrom -e `ls -l /dev/cdrom | awk '{print $11}'`

Or you can try to boot from USB Live Fedora 14 and test if the problem is still there.
Comment 3 Honza Horak 2011-02-21 03:55:13 EST
It seems to be a bug in udev, as more users noticed the same behaviour (see Ubuntu issue tracker discussion with a lot important info: https://bugs.launchpad.net/ubuntu/lucid/+source/udev/+bug/581925). 

However, it seems to be already solved and fixed in upstream:
http://git.kernel.org/?p=linux/hotplug/udev.git;a=commitdiff;h=1ef6c9e9f0f405d1fed403c13c57a233a484bed7
and it's now present in Rawhide and Fedora 14 updates. 

But it is not in Fedora 13, though.
Comment 4 Harald Hoyer 2011-02-21 04:07:38 EST
what is the output of:

# udevadm info --query=all --name=/dev/sr0
Comment 5 Bug Zapper 2011-05-31 07:07:23 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Gregor Hlawacek 2011-05-31 08:33:00 EDT
Don't have F13 anymore can not reproduce
Comment 7 Bug Zapper 2011-06-28 07:28:19 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.